import { PostModel, GetModel } from '@/utils/reqHelper'
import { url } from '../url'

export const Login = PostModel(url.userLogin);
export const GetUserMenulist = GetModel(url.UserMenulist);
export const PostSmsSend = PostModel(url.SmsSend);
export const GetCaptcha = GetModel(url.Captcha);

// 角色
export const PostRoleAdd = PostModel(url.RoleAdd);
export const PostRoleDel = PostModel(url.RoleDel);
export const PostRoleEdit = PostModel(url.RoleEdit);
export const GetRoleList = GetModel(url.RoleList);
export const GetRoleDetail = GetModel(url.RoleDetail);

export const PostRoleAddpermission = PostModel(url.RoleAddpermission);
export const getRoleGetpermissions = GetModel(url.RoleGetpermissions);
export const PostRoleDelpermission = PostModel(url.RoleDelpermission);

// 权限
export const PostRoleSavepermissions = PostModel(url.RoleSavepermissions);
export const addPermission = PostModel(url.permissionAdd);
export const getPermission = GetModel(url.permissionList);
export const updatePermission = PostModel(url.permissionUpdate);
export const GetDetailPermission = GetModel(url.permissionDetail);
export const getPermissionListWithchilds = GetModel(url.permissionListWithchilds);
export const getRoleGetpermissionids = GetModel(url.roleGetpermissionids);



// 账号
export const addAccount = PostModel(url.accountAdd);
export const getAccount = GetModel(url.accountList);
export const updateAccount = PostModel(url.accountUpdate);
export const getUserDetail = GetModel(url.UserDetail);

// 企业
export const addCompany = PostModel(url.companyAdd);
export const getCompanyList = GetModel(url.companyList);
export const updateCompany = PostModel(url.companyEdit);
export const GetCompanyRecruiters = GetModel(url.CompanyRecruiters);
export const PostCompanyTurnJobseeker = PostModel(url.CompanyTurnJobseeker);
export const PostCompanyMultieditstatus = PostModel(url.CompanyMultieditstatus);


// VIP
export const PostCompanyVipmanage = PostModel(url.companyVipmanage);
export const GetCompanyInfo = GetModel(url.companyInfo);
export const GetCompanyVipInfo = GetModel(url.companyVipInfo);
export const PostCompanyMultiClose = PostModel(url.companyMultiClose);
export const PostCompanyMultiOpen = PostModel(url.companyMultiOpen);
export const PostCompanyFeechange = PostModel(url.companyFeechange);
export const PostCompanyMultiopenvip = PostModel(url.CompanyMultiopenvip);


export const PostCompanyEdit = PostModel(url.companyEdit);
export const PostCompanyViplist = GetModel(url.companyViplist);
export const PostCompanyJobAdd = PostModel(url.companyJobAdd);
export const PostcompanyJobDel = PostModel(url.companyJobDel);
export const PostCompanyJobEdit = PostModel(url.companyJobEdit);
export const GetCompanyJobList = GetModel(url.companyJobList);
export const PostCompanyJobInfo = GetModel(url.companyJobInfo);
export const PostcompanymMultieditPulishJob = PostModel(url.companymMultieditPulishJob);
export const PostcompanymMultieditstatusjob = PostModel(url.companymMultieditstatusjob);

export const PostCompanyDepartmentAdd = PostModel(url.companyDepartmentAdd);
export const PostcompanyDepartmentDel= PostModel(url.companyDepartmentDel);
export const PostCompanyDepartmentEdit = PostModel(url.companyDepartmentEdit);
export const GetCompanyDepartmentList = GetModel(url.CompanyDepartmentList);
export const GetCompanyDepartmentInfo = GetModel(url.companyDepartmentInfo);
export const PostcompanyDepartmentsDel = PostModel(url.companyDepartmentsDel);


// 类型
export const PostHousekeepingtypeAdd = PostModel(url.HousekeepingtypeAdd);
export const PostHousekeepingtypeDel = PostModel(url.HousekeepingtypeDel);
export const PostHousekeepingtypeUpdate = PostModel(url.HousekeepingtypeUpdate);
export const GetHousekeepingtypeList = GetModel(url.HousekeepingtypeList);
export const GetHousekeepingtypeDetail = GetModel(url.HousekeepingtypeDetail);

// 职位
export const PostHousekeepingapplyAdd = PostModel(url.HousekeepingapplyAdd);
export const PostHousekeepingapplyDel = PostModel(url.HousekeepingapplyDel);
export const PostHousekeepingapplyUpdate = PostModel(url.HousekeepingapplyUpdate);
export const GetHousekeepingapplyList = GetModel(url.HousekeepingapplyList);
export const GetHousekeepingapplyDetail = GetModel(url.HousekeepingapplyDetail);

// 需求
export const PostHousekeepingAdd = PostModel(url.HousekeepingAdd);
export const PostHousekeepingDel = PostModel(url.HousekeepingDel);
export const PostHousekeepingUpdate = PostModel(url.HousekeepingUpdate);
export const GetHousekeepingList = GetModel(url.HousekeepingList);
export const GetHousekeepingDetail = GetModel(url.HousekeepingDetail);

// 预定
export const PostHousekeepingappointmentAdd = PostModel(url.HousekeepingappointmentAdd);
export const PostHousekeepingappointmentDel = PostModel(url.HousekeepingappointmentDel);
export const PostHousekeepingappointmentUpdate = PostModel(url.HousekeepingappointmentUpdate);
export const GetHousekeepingappointmentList = GetModel(url.HousekeepingappointmentList);
export const GetHousekeepingappointmentDetail = GetModel(url.HousekeepingappointmentDetail);


// 招聘会
export const PostRecruitmentAdd = PostModel(url.RecruitmentAdd);
export const PostRecruitmentDel = PostModel(url.RecruitmentDel);
export const PostRecruitmentUpdate = PostModel(url.RecruitmentUpdate);
export const listRecruitment = GetModel(url.recruitmentList);
export const GetRecruitmentDetail = GetModel(url.RecruitmentDetail);

// 招聘会企业  
export const PostRecruitmentBookAdd = PostModel(url.RecruitmentBookAdd);
export const PostRecruitmentBookDel = PostModel(url.RecruitmentBookDel);
export const PostRecruitmentBookUpdate = PostModel(url.RecruitmentBookUpdate);
export const GetRecruitmentBookList = GetModel(url.RecruitmentBookList);
// 文章栏目
export const addSection = PostModel(url.sectionAdd);
export const delSection = PostModel(url.sectionDel);
export const updateSection = PostModel(url.sectionUpdate);
export const listSection = GetModel(url.sectionList);
export const GetSectionDetail = GetModel(url.sectionDetail);

// 文章
export const addArticle = PostModel(url.articleAdd);
export const delArticle = PostModel(url.articleDel);
export const updateArticle = PostModel(url.articleUpdate);
export const listArticle = GetModel(url.articleList);
export const GetArticleDetail = GetModel(url.articleDetail);


// 广告  
export const PostAdvertareaAdd = PostModel(url.advertareaAdd);
export const PostAdvertareaDel = PostModel(url.advertareaDel);
export const PostAdvertareaUpdate = PostModel(url.advertareaUpdate);
export const GetAdvertareaList = GetModel(url.advertareaList);
export const GetAdvertareaDetail = GetModel(url.advertareaDetail);
// 投放
export const PostAdvertscheduleAdd = PostModel(url.advertscheduleAdd);
export const PostAdvertscheduleDel = PostModel(url.advertscheduleDel);
export const PostAdvertscheduleUpdate = PostModel(url.advertscheduleUpdate);
export const GetAdvertscheduleList = GetModel(url.advertscheduleList);
export const GetAdvertscheduleDetail = GetModel(url.advertscheduleDetail);

// 活动
export const PostActivityExportUsers = PostModel(url.activityExportUsers);
export const PostActivityaddressAdd = PostModel(url.activityaddressAdd);
export const PostActivityaddressDel = PostModel(url.activityaddressDel);
export const PostActivityaddressUpdate = PostModel(url.activityaddressUpdate);
export const GetActivityaddressList = GetModel(url.activityaddressList);
export const GetActivityaddressDetail = GetModel(url.activityaddressDetail);
export const GetActivityaddressCate = GetModel(url.activityaddressCate);


// 字典数据
export const GetDictTree = GetModel(url.dictTree);

export const PostImageUpload = PostModel(url.ImageUpload);

// 简历
// 列表
export const PostJobseekerList = PostModel(url.JobseekerList);
export const GetJobseekerDetail = GetModel(url.JobseekerDetail);
// 基本资料
export const PostJobapplicantAdd = PostModel(url.JobapplicantAdd);
export const PostJobapplicantDel = PostModel(url.JobapplicantDel);
export const PostJobapplicantUpdate = PostModel(url.JobapplicantUpdate);
export const GetJobapplicantList = GetModel(url.JobapplicantList);
export const GetJobapplicantDetail = GetModel(url.JobapplicantDetail);
// 联系方式
export const PostJobapplicantAddcontact = PostModel(url.JobapplicantAddcontact);
export const PostJobapplicantDelcontact = PostModel(url.JobapplicantDelcontact);
export const PostJobapplicantUpdatecontact = PostModel(url.JobapplicantUpdatecontact);
export const PostJobapplicantListcontact = GetModel(url.JobapplicantListcontact);
export const GetJobapplicantContactdetail = GetModel(url.JobapplicantContactdetail);
// 证书技能
export const PostJobapplicantAddskill = PostModel(url.JobapplicantAddskill);
export const PostJobapplicantDelskill = PostModel(url.JobapplicantDelskill);
export const PostJobapplicantUpdateskill = PostModel(url.JobapplicantUpdateskill);
export const PostJobapplicantListskill = GetModel(url.JobapplicantListskill);
export const PostJobapplicantSkilldetail = GetModel(url.JobapplicantSkilldetail);
// 培训经历 
export const PostJobapplicantAddtraining = PostModel(url.JobapplicantAddtraining);
export const PostJobapplicantDeltraining = PostModel(url.JobapplicantDeltraining);
export const PostJobapplicantUpdatetraining = PostModel(url.JobapplicantUpdatetraining);
export const PostJobapplicantListtraining = GetModel(url.JobapplicantListtraining);
export const PostJobapplicantTrainingdetail = GetModel(url.JobapplicantTrainingdetail);
// 求职意向-基本 
export const PostJobapplicantAdddesirebase = PostModel(url.JobapplicantAdddesirebase);
export const PostJobapplicantDeldesirebase = PostModel(url.JobapplicantDeldesirebase);
export const PostJobapplicantUpdatedesirebase = PostModel(url.JobapplicantUpdatedesirebase);
// export const PostJobapplicantListdesirebase = GetModel(url.JobapplicantListdesirebase);
export const PostJobapplicantDesirebasedetail = GetModel(url.JobapplicantDesirebasedetail);
// 求职意向-地区  
export const PostJobapplicantAdddesirearea = PostModel(url.JobapplicantAdddesirearea);
export const PostJobapplicantDeldesirearea = PostModel(url.JobapplicantDeldesirearea);
export const PostJobapplicantUpdatedesirearea = PostModel(url.JobapplicantUpdatedesirearea);
export const PostJobapplicantListdesirearea = GetModel(url.JobapplicantListdesirearea);
export const PostJobapplicantDesireareadetail = GetModel(url.JobapplicantDesireareadetail);
// 求职意向-行业 
export const PostJobapplicantAdddesireindustry = PostModel(url.JobapplicantAdddesireindustry);
export const PostJobapplicantDeldesireindustry = PostModel(url.JobapplicantDeldesireindustry);
export const PostJobapplicantUpdatedesireindustry = PostModel(url.JobapplicantUpdatedesireindustry);
export const PostJobapplicantListdesireindustry = GetModel(url.JobapplicantListdesireindustry);
export const PostJobapplicantDesireindustrydetail = GetModel(url.JobapplicantDesireindustrydetail);
// 求职意向-职位 
export const PostJobapplicantAdddesireposition = PostModel(url.JobapplicantAdddesireposition);
export const PostJobapplicantDeldesireposition = PostModel(url.JobapplicantDeldesireposition);
export const PostJobapplicantUpdatedesireposition = PostModel(url.JobapplicantUpdatedesireposition);
export const PostJobapplicantListdesireposition = GetModel(url.JobapplicantListdesireposition);
export const PostJobapplicantDesirepositiondetail = GetModel(url.JobapplicantDesirepositiondetail);

// 工作经历
export const PostJobapplicantAddexperience = PostModel(url.JobapplicantAddexperience);
export const PostJobapplicantDelexperience = PostModel(url.JobapplicantDelexperience);
export const PostJobapplicantUpdateexperience = PostModel(url.JobapplicantUpdateexperience);
export const PostJobapplicantListexperience = GetModel(url.JobapplicantListexperience);
export const PostJobapplicantExperiencedetail = GetModel(url.JobapplicantExperiencedetail);
// 证书
export const PostJobapplicantAddcertificate = PostModel(url.JobapplicantAddcertificate);
export const PostJobapplicantDelcertificate = PostModel(url.JobapplicantDelcertificate);
export const PostJobapplicantUpdatecertificate = PostModel(url.JobapplicantUpdatecertificate);
export const PostJobapplicantListcertificate = GetModel(url.JobapplicantListcertificate);
export const PostJobapplicantCertificatedetail = GetModel(url.JobapplicantCertificatedetail);
// 介绍工作、帮扶情况
export const PostJobapplicantAddassistandintro = PostModel(url.JobapplicantAddassistandintro);
export const GetJobapplicantListassist = GetModel(url.JobapplicantListassist);
export const GetJobapplicantAssistdetail = GetModel(url.JobapplicantAssistdetail);
export const PostJobapplicantUpdateassist = PostModel(url.JobapplicantUpdateassist);
export const PostJobapplicantDelassist = PostModel(url.JobapplicantDelassist);
export const GetJobapplicantListintro = GetModel(url.JobapplicantListintro);
export const GetJobapplicantIntrodetail = GetModel(url.JobapplicantIntrodetail);
export const PostJobapplicantUpdateintro = PostModel(url.JobapplicantUpdateintro);
export const PostJobapplicantDelintro = PostModel(url.JobapplicantDelintro);

export const PostJobapplicantAddintroduction = PostModel(url.JobapplicantAddintroduction); // 个人介绍
export const PostJobapplicantDelintroduction = PostModel(url.JobapplicantDelintroduction); // 个人介绍
export const PostJobapplicantUpdateintroduction = PostModel(url.JobapplicantUpdateintroduction); // 个人介绍
export const GetJobapplicantListintroduction = GetModel(url.JobapplicantListintroduction); // 个人介绍
export const GetJobapplicantIntroductiondetail = GetModel(url.JobapplicantIntroductiondetail); // 个人详情
// 统计
export const GetStatsMajor = GetModel(url.StatsMajor);
export const GetStatsCertificate = GetModel(url.StatsCertificate);
export const GetStatsWorkExperience = GetModel(url.StatsWorkExperience);
export const GetStatsHa = GetModel(url.StatsHa);
export const GetStatsAgeandgender = GetModel(url.StatsAgeandgender);
export const GetStatsEducation = GetModel(url.StatsEducation);
export const GetStatsPosition = GetModel(url.StatsPosition);
export const GetStatsTitleAndSkill = GetModel(url.StatsTitleAndSkill);
export const GetStatsJobMajor = GetModel(url.StatsJobMajor);

// 设置
export const PostSysconfigAdd = PostModel(url.SysconfigAdd); // 
export const PostSysconfigDel = PostModel(url.SysconfigDel); // 
export const PostSysconfigUpdate = PostModel(url.SysconfigUpdate); // 
export const GetSysconfigList = GetModel(url.SysconfigList); // 
export const GetSysconfigDetail = GetModel(url.SysconfigDetail);

// 反馈
export const PostFeedbackAdd = PostModel(url.FeedbackAdd);
export const PostFeedbackDel = PostModel(url.FeedbackDel);
export const PostFeedbackUpdate = PostModel(url.FeedbackUpdate);
export const GetFeedbackList = GetModel(url.FeedbackList);
export const GetFeedbackDetail = GetModel(url.FeedbackDetail);

// 反馈
export const PostCustomerAdd = PostModel(url.CustomerAdd);
export const PostCustomerDel = PostModel(url.CustomerDel);
export const PostCustomerUpdate = PostModel(url.CustomerUpdate);
export const GetCustomerList = GetModel(url.CustomerList);
export const GetCustomerDetail = GetModel(url.CustomerDetail);

export const PostEsJobseeker = PostModel(url.EsJobseeker);
export const PostTokenizerModify = PostModel(url.TokenizerModify);
export const GetTokenizerGet = GetModel(url.TokenizerGet);


// VIP充值
export const PostFeePackageAdd = PostModel(url.FeePackageAdd);
export const PostFeePackageDel = PostModel(url.FeePackageDel);
export const PostFeePackageUpdate = PostModel(url.FeePackageUpdate);
export const GetFeePackageList = GetModel(url.FeePackageList);
export const GetFeePackageDetail = GetModel(url.FeePackageDetail);

export const GetFeeOrderList = GetModel(url.FeeOrderList);
export const GetFeeOrderDetail = GetModel(url.FeeOrderDetail);


// 字典管理
export const PostDictAdd = PostModel(url.DictAdd);
export const PostDictDel = PostModel(url.DictDel);
export const PostDictUpdate = PostModel(url.DictUpdate);
export const GetDictList = GetModel(url.DictList);
export const GetDictDetail = GetModel(url.DictDetail);

// 导出数据
export const PostCompanyExport = PostModel(url.CompanyExport);
export const PostJobseekerExport = PostModel(url.JobseekerExport);
export const PostJobExport = PostModel(url.JobExport);


// 公共户口
export const PostTalentsinfoAdd= PostModel(url.TalentsinfoAdd);
export const PostTalentsinfoDel = PostModel(url.TalentsinfoDel);
export const PostTalentsinfoUpdate = PostModel(url.TalentsinfoUpdate);
export const GetTalentsinfoList = GetModel(url.TalentsinfoList);
export const GetTalentsinfoDetail = GetModel(url.TalentsinfoDetail);

